]> arthur.barton.de Git - bup.git/blobdiff - cmd/on--server-cmd.py
Adjust --exclude* parsing and drecurse-cmd for python 3 and test
[bup.git] / cmd / on--server-cmd.py
index 3d2af568bc58335afdb88c99e50caec84c9f255b..64e79d294ad1343eaeb38891668d7081149da3c5 100755 (executable)
@@ -1,13 +1,22 @@
-#!/usr/bin/env python
+#!/bin/sh
+"""": # -*-python-*-
+bup_python="$(dirname "$0")/bup-python" || exit $?
+exec "$bup_python" "$0" ${1+"$@"}
+"""
+# end of bup preamble
+
+from __future__ import absolute_import
 import sys, os, struct
-from bup import options, helpers
+
+from bup import options, helpers, path
+
 
 optspec = """
 bup on--server
 --
     This command is run automatically by 'bup on'
 """
-o = options.Options('bup server-reverse', optspec)
+o = options.Options(optspec)
 (opt, flags, extra) = o.parse(sys.argv[1:])
 if extra:
     o.fatal('no arguments expected')
@@ -23,6 +32,8 @@ assert(sz < 1000000)
 buf = sys.stdin.read(sz)
 assert(len(buf) == sz)
 argv = buf.split('\0')
+argv[0] = path.exe()
+argv = [argv[0], 'mux', '--'] + argv
 
 # stdin/stdout are supposedly connected to 'bup server' that the caller
 # started for us (often on the other end of an ssh tunnel), so we don't want